> For the complete documentation index, see [llms.txt](https://docs.privado.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.privado.ai/getting-started-with-privado/understanding-privado-json/processing.md).

# Processing

Processing results summarises all the occurrences of detected data elements that are found in the scan.

A processing result consists of the following structure:

```json
{
    "processing": {
        "sourceId": "string",
        "occurrences": [
            {
                "sample": "string",
                "lineNumber": "int",
                "columnNumber": "int",
                "fileName": "string",
                "excerpt": "string"
            }
        ]
    }
}
```

The parameters are explained below:

| **Field**      | **Description**                                           |
| -------------- | --------------------------------------------------------- |
| `sourceId`     | ID of the source                                          |
| `occurrences`  | List of occurrences of the data element in the code       |
| `sample`       | name of the entity in which the data element is processed |
| `lineNumber`   | Line number of the occurance                              |
| `columnNumber` | Column number of the occurance                            |
| `fileName`     | Name of the file where the occurrence is detected         |
| `excerpt`      | A dump of the code around the occurrence                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.privado.ai/getting-started-with-privado/understanding-privado-json/processing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
